import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikAvatarProps.dart';
import 'package:flutter/material.dart';

class UikAvatar extends UikWidget {
  WidgetType _widgetType;
  UikAvatarProps _uikAvatarProps;
  UikAvatar(this._widgetType, this._uikAvatarProps)
      : super(_widgetType, _uikAvatarProps);

  @override
  _UikAvatarState createState() => _UikAvatarState(_uikAvatarProps);
}

class _UikAvatarState extends State<UikAvatar> {
  UikAvatarProps _uikAvatarProps;
  _UikAvatarState(this._uikAvatarProps);

  @override
  Widget build(BuildContext context) {
    return CircleAvatar(
      backgroundImage: (_uikAvatarProps.backgroundImage != null)
          ? NetworkImage(_uikAvatarProps.backgroundImage!)
          : null,
      backgroundColor: (_uikAvatarProps.backgroundImage == null)
          ? _uikAvatarProps.backgroundColor
          : null,
      radius: _uikAvatarProps.radius,
      child: (_uikAvatarProps.backgroundImage == null)
          ? _uikAvatarProps.text
          : null,
    );
  }
}
