import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikIconProps.dart';
import "package:flutter/material.dart";

import '../props/UikChipsProps.dart';
import '../props/UikCellProps.dart';
import '../utils/UikActionListner.dart';
import 'UikIcon.dart';
import 'UikWidget.dart';

class UikCell extends UikWidget {
  WidgetType _widgetType;
  UikCellProps _uikCellProps;
  UikCell(this._widgetType, this._uikCellProps)
      : super(_widgetType, _uikCellProps);

  @override
  _UikCellState createState() => _UikCellState(_uikCellProps);
}

class _UikCellState extends State<UikCell> {
  UikCellProps _uikCellProps;
  _UikCellState(this._uikCellProps);

  @override
  Widget build(BuildContext context) {
    return Column(
      crossAxisAlignment: CrossAxisAlignment.start,
      children: [
        Container(
          decoration: BoxDecoration(
            color: _uikCellProps.bgcolor,
            borderRadius: BorderRadius.circular(8.0),
          ),
          margin: EdgeInsets.fromLTRB(
              _uikCellProps.leftMargin,
              _uikCellProps.topMargin,
              _uikCellProps.rightMargin,
              _uikCellProps.bottomMargin),
          // color: Colors.blueGrey,
          // margin: EdgeInsets.only(bottom: -2.0),
          // decoration: BoxDecoration(border: Border.all(color: Colors.black)),
          width: _uikCellProps.widthSize,
          height: _uikCellProps.heightSize,
          child: InkWell(
            child: ListTile(
              minLeadingWidth: 0.0,
              minVerticalPadding: 0.0,
              horizontalTitleGap: 0.0,
              contentPadding: EdgeInsets.only(
                  left: _uikCellProps.contentPaddingLeft!,
                  right: _uikCellProps.contentPaddingRight!),
              leading: Container(
                  // color: Colors.amber,
                  margin: (_uikCellProps.subtitleText != null)
                      ? const EdgeInsets.only(
                          top: 10,
                          right: 19,
                          left: 19,
                        )
                      : const EdgeInsets.only(
                          top: 17,
                          right: 19,
                          left: 19,
                        ),
                  child: _uikCellProps.leftElement!),
              onTap: () async {
                await executeUikWidgetAction(_uikCellProps.action);
              },
              title: Container(
                padding: EdgeInsets.only(left: 0),
                // color: Colors.blue,
                margin: (_uikCellProps.subtitleText == null)
                    ? EdgeInsets.only(top: 18)
                    : EdgeInsets.all(0),
                child: _uikCellProps.titleText,
              ),
              subtitle: (_uikCellProps.subtitleText != null)
                  ? _uikCellProps.subtitleText!
                  : null,
              trailing: (_uikCellProps.rightElement != null)
                  ? _uikCellProps.rightElement
                  : null,
            ),
          ),
        ),
      ],
    );
  }
}
