import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/gestures.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

import '../props/UikCenterRowProps.dart';

class UikCenterRow extends UikWidget {
  WidgetType _widgetType;
  UikCenterRowProps _uikCenterRowProps;
  UikCenterRow(this._widgetType, this._uikCenterRowProps)
      : super(_widgetType, _uikCenterRowProps);

  @override
  _UikCenterRowState createState() => _UikCenterRowState(_uikCenterRowProps);
}

class _UikCenterRowState extends State<UikCenterRow> {
  UikCenterRowProps _uikCenterRowProps;
  _UikCenterRowState(this._uikCenterRowProps);
  var index = -1;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.only(
        top: _uikCenterRowProps.topMargin,
        bottom: _uikCenterRowProps.bottomMargin,
        left: _uikCenterRowProps.leftMargin,
        right: _uikCenterRowProps.rightMargin,
      ),
      child: Row(
        mainAxisAlignment: MainAxisAlignment.center,
        children: [
          _uikCenterRowProps.icon,
          const SizedBox(width: 10.0),
          _uikCenterRowProps.text,
        ],
      ),
    );
  }
}
