import 'package:flutter/material.dart';

import '../props/UikEarningCardProps.dart';
import 'UikWidget.dart';
import 'WidgetType.dart';

class UikEarningCard extends UikWidget {
  final WidgetType _widgetType;
  final UikEarningCardProps _uikEarningCardProps;
  UikEarningCard(this._widgetType, this._uikEarningCardProps)
      : super(_widgetType, _uikEarningCardProps);

  @override
  _UikEarningCardState createState() =>
      _UikEarningCardState(_uikEarningCardProps);
}

class _UikEarningCardState extends State<UikEarningCard> {
  final UikEarningCardProps _uikEarningCardProps;
  _UikEarningCardState(this._uikEarningCardProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.only(
        bottom: _uikEarningCardProps.marginBottom,
        top: _uikEarningCardProps.marginTop,
        left: _uikEarningCardProps.marginLeft,
        right: _uikEarningCardProps.marginRight,
      ),
      padding: EdgeInsets.only(
        bottom: _uikEarningCardProps.paddingBottom,
        top: _uikEarningCardProps.marginTop,
        left: _uikEarningCardProps.marginLeft,
        right: _uikEarningCardProps.marginRight,
      ),
      decoration: BoxDecoration(
        color: const Color(0xffF9F0E9),
        borderRadius: BorderRadius.circular(8),
      ),
      child: Column(
        children: [
          ListTile(
            leading: _uikEarningCardProps.leading,
            title: _uikEarningCardProps.title,
            subtitle: _uikEarningCardProps.subTitle,
            trailing: _uikEarningCardProps.trailing,
            contentPadding: EdgeInsets.zero,
          ),
          const Divider(
            thickness: 1.3,
            color: Colors.white,
          ),
          IntrinsicHeight(
            child: Row(
              mainAxisAlignment: MainAxisAlignment.start,
              children: [
                Expanded(
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      _uikEarningCardProps.bottomLeftTitle,
                      _uikEarningCardProps.bottomLeftSubTitle
                    ],
                  ),
                ),
                const VerticalDivider(
                  color: Colors.white,
                  thickness: 1.3,
                ),
                Expanded(
                  child: Column(
                    crossAxisAlignment: CrossAxisAlignment.start,
                    children: [
                      _uikEarningCardProps.bottomRightTitle,
                      _uikEarningCardProps.bottomRightSubTitle
                    ],
                  ),
                ),
              ],
            ),
          )
        ],
      ),
    );
    // TODO: implement build
    throw UnimplementedError();
  }
}
