import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikButton.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/utils/UikActionListner.dart';
import 'UikWidget.dart';
import '../props/UikLokalAcademyCardProps.dart';

class UikLokalAcademyCard extends UikWidget {
  WidgetType _widgetType;
  UikLokalAcademyCardProps _uikLokalAcademyCardProps;

  UikLokalAcademyCard(this._widgetType, this._uikLokalAcademyCardProps)
      : super(_widgetType, _uikLokalAcademyCardProps);

  @override
  _UikLokalAcademyCardState createState() =>
      _UikLokalAcademyCardState(_uikLokalAcademyCardProps);
}

class _UikLokalAcademyCardState extends State<UikLokalAcademyCard> {
  UikLokalAcademyCardProps _uikLokalAcademyCardProps;

  _UikLokalAcademyCardState(this._uikLokalAcademyCardProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      width: _uikLokalAcademyCardProps.width,
      height: _uikLokalAcademyCardProps.height,
      child: Card(
        child: Column(
          crossAxisAlignment: CrossAxisAlignment.start,
          children: [
            Row(
              children: [
                Padding(
                  padding: const EdgeInsets.all(8.0),
                  child: Image.network(
                    _uikLokalAcademyCardProps.logoPath,
                    height: _uikLokalAcademyCardProps.logoHeight,
                    width: _uikLokalAcademyCardProps.logoWidth,
                  ),
                ),
                const Spacer(),
                Padding(
                  padding: const EdgeInsets.all(8.0),
                  child: Text(_uikLokalAcademyCardProps.cardType),
                ),
              ],
            ),
            Padding(
              padding: const EdgeInsets.all(8.0),
              child: Text(
                _uikLokalAcademyCardProps.title,
                style: TextStyle(
                  fontSize: _uikLokalAcademyCardProps.titleFontSize,
                  fontWeight: FontWeight.bold,
                ),
              ),
            ),
            Padding(
              padding: const EdgeInsets.all(8.0),
              child: Text(
                _uikLokalAcademyCardProps.content,
                style: TextStyle(
                  fontSize: _uikLokalAcademyCardProps.contentFontSize,
                ),
              ),
            ),
            Row(
              children: [
                Padding(
                  padding: const EdgeInsets.all(8.0),
                  child: Text(_uikLokalAcademyCardProps.reward),
                ),
                Spacer(),
                UikButton(
                  WidgetType.UikButton,
                  _uikLokalAcademyCardProps.buttonText,
                ),
              ],
            ),
          ],
        ),
      ),
    );
  }
}
