import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikAvatar.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import '../props/UikRowProps.dart';

class UikRow extends UikWidget {
  WidgetType _widgetType;
  UikRowProps _UikRowProps;
  UikRow(this._widgetType, this._UikRowProps)
      : super(_widgetType, _UikRowProps);
  @override
  _UikRowState createState() => _UikRowState(_UikRowProps);
}

class _UikRowState extends State<UikRow> {
  UikRowProps _uikRowProps;
  _UikRowState(this._uikRowProps);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.fromLTRB(
        _uikRowProps.leftMargin,
        _uikRowProps.topMargin,
        _uikRowProps.rightMargin,
        _uikRowProps.bottomMargin,
      ),
      child: SingleChildScrollView(
        physics: const BouncingScrollPhysics(),
        scrollDirection: Axis.horizontal,
        child: Row(
          mainAxisAlignment: MainAxisAlignment.start,
          children: _uikRowProps.widgets,
        ),
      ),
    );
  }
}
