import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikRowListItemProps.dart';
import 'package:flutter/material.dart';
import 'package:google_fonts/google_fonts.dart';

class UikRowListItem extends UikWidget {
  WidgetType _widgetType;
  UikRowListItemProps _UikRowListItemProps;
  UikRowListItem(this._widgetType, this._UikRowListItemProps)
      : super(_widgetType, _UikRowListItemProps);

  @override
  _UikRowListItemState createState() =>
      _UikRowListItemState(_UikRowListItemProps);
}

class _UikRowListItemState extends State<UikRowListItem> {
  final UikRowListItemProps _UikRowListItemProps;
  _UikRowListItemState(this._UikRowListItemProps);

  @override
  Widget build(BuildContext context) {
    return Container(
      margin: EdgeInsets.fromLTRB(
        _UikRowListItemProps.leftMargin,
        _UikRowListItemProps.topMargin,
        _UikRowListItemProps.rightMargin,
        _UikRowListItemProps.bottomMargin,
      ),
      child: Row(
        children: [
          _UikRowListItemProps.icon!,
          SizedBox(
            width: _UikRowListItemProps.spaceBetween,
          ),
          SizedBox(
            width: 10,
          ),
          _UikRowListItemProps.text!
        ],
      ),
    );
  }
}
