import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:flutter/material.dart';

import '../props/UikTextDividerProps.dart';

class UikTextDivider extends UikWidget {
  WidgetType _widgetType;
  UikTextDividerProps _uikTextDividerProps;
  UikTextDivider(this._widgetType, this._uikTextDividerProps)
      : super(_widgetType, _uikTextDividerProps);

  @override
  _UikTextDividerState createState() =>
      _UikTextDividerState(_uikTextDividerProps);
}

class _UikTextDividerState extends State<UikTextDivider> {
  UikTextDividerProps _uikTextDividerProps;
  _UikTextDividerState(this._uikTextDividerProps);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: EdgeInsets.only(
        top: _uikTextDividerProps.topMargin,
        bottom: _uikTextDividerProps.bottomMargin,
        left: _uikTextDividerProps.leftMargin,
        right: _uikTextDividerProps.rightMargin,
      ),
      child: Row(
        children: [
          const Expanded(
            child: Divider(
              color: Color(0xFF9E9E9E),
            ),
          ),
          const SizedBox(width: 8.0),
          Text(_uikTextDividerProps.text),
          const SizedBox(width: 8.0),
          const Expanded(
            child: Divider(
              color: Color(0xFF9E9E9E),
            ),
          ),
        ],
      ),
    );
  }
}
