import 'package:flutter/material.dart';
import 'package:ui_sdk/components/UikWidget.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/props/UikTextIconButtonProps.dart';

class UikTextIconButton extends UikWidget {
  WidgetType _widgetType;
  UikTextIconButtonProps _uikTextIconButtonProps;
  UikTextIconButton(this._widgetType, this._uikTextIconButtonProps)
      : super(_widgetType, _uikTextIconButtonProps);
  @override
  _UikTextIconButtonState createState() =>
      _UikTextIconButtonState(_uikTextIconButtonProps);
}

class _UikTextIconButtonState extends State<UikTextIconButton> {
  UikTextIconButtonProps _uikTextIconButtonProps;
  _UikTextIconButtonState(this._uikTextIconButtonProps);

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onTap: () {},
      child: Padding(
        padding: const EdgeInsets.all(8.0),
        child: Row(
          children: [
            SizedBox(width: 16),
            Container(
              width: _uikTextIconButtonProps.containerWidth,
              child: Column(
                crossAxisAlignment: CrossAxisAlignment.start,
                children: [
                  _uikTextIconButtonProps.title,
                  SizedBox(height: 3),
                  _uikTextIconButtonProps.subtitle,
                ],
              ),
            ),
            _uikTextIconButtonProps.icon,
          ],
        ),
      ),
    );
  }
}
