import 'package:ui_sdk/components/WidgetType.dart';
import "package:flutter/material.dart";
import 'package:youtube_player_flutter/youtube_player_flutter.dart';
import '../props/UikVideoPlayerNewProps.dart';
import 'UikWidget.dart';

class UikVideoPlayerNew extends UikWidget {
  WidgetType _widgetType;
  UikVideoPlayerNewProps _uikVideoPlayerNewProps;
  UikVideoPlayerNew(this._widgetType, this._uikVideoPlayerNewProps)
      : super(_widgetType, _uikVideoPlayerNewProps);
  @override
  _UikVideoPlayerState createState() =>
      _UikVideoPlayerState(_uikVideoPlayerNewProps);
}

class _UikVideoPlayerState extends State<UikVideoPlayerNew> {
  UikVideoPlayerNewProps _uikVideoPlayerNewProps;
  _UikVideoPlayerState(this._uikVideoPlayerNewProps);
  void initState() {
    if(_uikVideoPlayerNewProps.videoUrl !=null){
      final String videoId = YoutubePlayer.convertUrlToId(_uikVideoPlayerNewProps.videoUrl!).toString();
      _uikVideoPlayerNewProps.controller = YoutubePlayerController(
          initialVideoId: videoId,
          flags: const YoutubePlayerFlags(
            autoPlay: true,
          ));
    }
  }

  @override
  Widget build(BuildContext context) {
    return Container(
      child: YoutubePlayer(
        controller: _uikVideoPlayerNewProps.controller,
        showVideoProgressIndicator:
        _uikVideoPlayerNewProps.showVideoProgressIndicator,
        aspectRatio: _uikVideoPlayerNewProps.aspectRatio,
      ),
    );
  }
}
