import 'package:ui_sdk/components/UikButton.dart';
import 'package:ui_sdk/components/UikCell.dart';
import 'package:ui_sdk/components/UikIcon.dart';
import 'package:ui_sdk/components/UikText.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikChipsProps.dart';
import 'package:ui_sdk/props/UikCellProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';
import 'package:flutter/material.dart';
import 'package:ui_sdk/utils/extensions.dart';

import '../../components/UikContainerText.dart';
import '../../components/WidgetType.dart';
import '../../props/UikContainerTextProps.dart';
import '../../props/UikIconProps.dart';
import '../../props/UikSwitchProps.dart';

UikCellProps $UikCellPropsFromJson(Map<String, dynamic> json) {
  final UikCellProps uikCellProps = UikCellProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikCellProps.id = id;
  }
  final double? widthSize = jsonConvert.convert<double>(json['widthSize']);
  print(widthSize);
  if (widthSize != null) {
    uikCellProps.widthSize = widthSize;
  }

  final String? bgcolor = jsonConvert.convert<String>(json['bgcolor']);
  if (bgcolor != null) {
    uikCellProps.bgcolor = bgcolor.toColor();
  }

  final double? heightSize = jsonConvert.convert<double>(json['heightSize']);
  if (heightSize != null) {
    uikCellProps.heightSize = heightSize;
  }
  final String? titleText = jsonConvert.convert<String>(json['titleText']);
  if (titleText != null) {
    uikCellProps.titleText =
        UikText(WidgetType.UikText, UikTextProps.fromJson(json['titleText']));
  }
  final String? subtitleText =
      jsonConvert.convert<String>(json['subtitleText']);
  if (subtitleText != null) {
    uikCellProps.subtitleText = UikText(
        WidgetType.UikText, UikTextProps.fromJson(json['subtitleText']));
  }
  final String? leftElement = jsonConvert.convert<String>(json['leftElement']);
  if (leftElement != null) {
    uikCellProps.leftElement =
        UikIcon(WidgetType.UikText, UikIconProps.fromJson(json['leftElement']));
  }
  final String? rightElement =
      jsonConvert.convert<String>(json['rightElement']);
  if (rightElement != null) {
    if (json["rightElement"]["id"] == "button") {
      uikCellProps.rightElement = UikButton(
          WidgetType.UikText, UikButtonProps.fromJson(json['rightElement']));
    }
    if (json["rightElement"]["id"] == "text") {
      uikCellProps.rightElement = UikContainerText(WidgetType.UikText,
          UikContainerTextProps.fromJson(json['rightElement']));
    }
    if (json["rightElement"]["id"] == "icon") {
      uikCellProps.rightElement = UikIcon(
          WidgetType.UikText, UikIconProps.fromJson(json['rightElement']));
    }
  }

  final double? leftMargin = jsonConvert.convert<double>(json['leftMargin']);
  if (leftMargin != null) {
    uikCellProps.leftMargin = leftMargin;
  }

  final double? rightMargin = jsonConvert.convert<double>(json['rightMargin']);
  if (rightMargin != null) {
    uikCellProps.rightMargin = rightMargin;
  }

  final double? topMargin = jsonConvert.convert<double>(json['topMargin']);
  if (topMargin != null) {
    uikCellProps.topMargin = topMargin;
  }

  final double? bottomMargin =
      jsonConvert.convert<double>(json['bottomMargin']);
  if (bottomMargin != null) {
    uikCellProps.bottomMargin = bottomMargin;
  }

  final double? contentPaddingLeft =
      jsonConvert.convert<double>(json['contentPaddingLeft']);
  if (contentPaddingLeft != null) {
    uikCellProps.contentPaddingLeft = contentPaddingLeft;
  }

  final double? contentPaddingRight =
      jsonConvert.convert<double>(json['contentPaddingRight']);
  if (contentPaddingRight != null) {
    uikCellProps.contentPaddingRight = contentPaddingRight;
  }
  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikCellProps.action = action;
  }
  return uikCellProps;
}
