import 'package:ui_sdk/components/UikButton.dart';
import 'package:ui_sdk/components/UikIcon.dart';
import 'package:ui_sdk/components/UikText.dart';
import 'package:ui_sdk/components/WidgetType.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikIconProps.dart';
import 'package:ui_sdk/props/UikNewReviewProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';

import 'package:flutter/widgets.dart';

import '../../components/UikNavbar.dart';
import '../../components/UikRating.dart';
import '../../components/UikStackImageIcon.dart';
import '../../components/UikImage.dart';
import '../../components/UikTextArea.dart';
import '../../components/UikUploadPhoto.dart';
import '../../props/UikImageProps.dart';
import '../../props/UikNavbarProps.dart';
import '../../props/UikRatingProps.dart';
import '../../props/UikStackImageIconProps.dart';
import '../../props/UikImageProps.dart';
import '../../props/UikTextAreaProps.dart';
import '../../props/UikUploadPhotoProps.dart';

UikNewReviewProps $UikNewReviewPropsFromJson(Map<String, dynamic> json) {
  final UikNewReviewProps uikNewReviewProps = UikNewReviewProps();

  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikNewReviewProps.id = id;
  }
  final String? text = jsonConvert.convert<String>(json['Text']);
  if (text != null) {
    uikNewReviewProps.text =
        UikText(WidgetType.UikText, UikTextProps.fromJson(json['Text']));
  }

  // final String? review = jsonConvert.convert<String>(json['Review']);
  // if (review != null) {
  //   uikNewReviewProps.review =
  //       UikText(WidgetType.UikText, UikTextProps.fromJson(json['Review']));
  // }
  final String? rating = jsonConvert.convert<String>(json['rating']);
  if (rating != null) {
    uikNewReviewProps.rating = UikRating(
        WidgetType.UikRating, UikRatingProps.fromJson(json['rating']));
  }
  final String? textarea = jsonConvert.convert<String>(json['textarea']);
  if (textarea != null) {
    uikNewReviewProps.textarea = UikTextArea(
        WidgetType.UikTextArea, UikTextAreaProps.fromJson(json['textarea']));
  }

  final String? sendreview = jsonConvert.convert<String>(json['SubmitReview']);
  if (sendreview != null) {
    uikNewReviewProps.sendreview = UikButton(
        WidgetType.UikButton, UikButtonProps.fromJson(json['SubmitReview']));
  }

  final String? image = jsonConvert.convert<String>(json['image']);
  if (image != null) {
    uikNewReviewProps.image = UikStackImageIcon(WidgetType.UikStackImageIcon,
        UikStackImageIconProps.fromJson(json['image']));
  }

  final String? uploadpic = jsonConvert.convert<String>(json['uploadpic']);
  if (uploadpic != null) {
    uikNewReviewProps.uploadpic = UikUploadPhoto(WidgetType.UikUploadPhoto,
        UikUploadPhotoProps.fromJson(json['uploadpic']));
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikNewReviewProps.action = action;
  }
  return uikNewReviewProps;
}

class UiKImage {}
