import 'package:ui_sdk/components/UikButton.dart';
import 'package:ui_sdk/components/UikChips.dart';
import 'package:ui_sdk/components/UikTags.dart';
import 'package:ui_sdk/generated/json/base/json_convert_content.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikChipsProps.dart';
import 'package:ui_sdk/props/UikProductCardBigProps.dart';
import 'package:ui_sdk/props/UikTagsProps.dart';
import 'package:ui_sdk/props/UikTextProps.dart';

import '../../components/UikIcon.dart';
import '../../components/UikStepper.dart';
import '../../components/WidgetType.dart';
import '../../props/UikProductCardProps.dart';
import '../../props/UikIconProps.dart';
import '../../props/UikStepperProps.dart';

UikProductCardBigProps $UikProductCardBigPropsFromJson(
    Map<String, dynamic> json) {
  final UikProductCardBigProps uikProductCardBigProps =
      UikProductCardBigProps();
  final String? id = jsonConvert.convert<String>(json['id']);
  if (id != null) {
    uikProductCardBigProps.id = id;
  }

  final String? imageUrl = jsonConvert.convert<String>(json['imageUrl']);
  if (imageUrl != null) {
    uikProductCardBigProps.imageUrl = imageUrl;
  }

  final String? productPrice =
      jsonConvert.convert<String>(json['productPrice']);
  if (productPrice != null) {
    uikProductCardBigProps.productPrice = productPrice;
  }

  final String? productDescription =
      jsonConvert.convert<String>(json['productDescription']);
  if (productDescription != null) {
    uikProductCardBigProps.productDescription = productDescription;
  }

  final bool? isBadge = jsonConvert.convert<bool>(json['isBadge']);
  if (isBadge != null) {
    uikProductCardBigProps.isBadge = isBadge;
  }
// changes
  if (isBadge == true) {
    final String? badge = jsonConvert.convert<String>(json['badge']);
    if (badge != null) {
      uikProductCardBigProps.badge =
          UikTags(WidgetType.UikText, UikTagsProps.fromJson(json['badge']));
    }
  }

  final String? favIcon = jsonConvert.convert<String>(json['favIcon']);
  if (favIcon != null) {
    uikProductCardBigProps.favIcon =
        UikIcon(WidgetType.UikText, UikIconProps.fromJson(json['favIcon']));
  }

  final UikAction? action = jsonConvert.convert<UikAction>(json['action']);
  if (action != null) {
    uikProductCardBigProps.action = action;
  }
  return uikProductCardBigProps;
}
