import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/getWidgets/uikButtonBar/uik_button_bar_props.g.dart';
import 'package:ui_sdk/props/WidgetProps.dart';

@JsonSerializable()
class UikButtonBarProps extends WidgetProps {
  late String id;
  late EdgeInsetsGeometry padding = const EdgeInsets.all(0);
  late Axis direction = Axis.horizontal;
  late WrapAlignment alignment = WrapAlignment.center;
  late double spacing = 8.0;
  late WrapAlignment runAlignment = WrapAlignment.start;
  late double runSpacing = 0.0;
  late List<Widget>? children;
  late WrapCrossAlignment crossAxisAlignment = WrapCrossAlignment.start;
  late TextDirection? textDirection;
  late VerticalDirection verticalDirection = VerticalDirection.down;

  UikButtonBarProps();

  factory UikButtonBarProps.fromJson(Map<String, dynamic> json) =>
      $UikButtonBarPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
