import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/getWidgets/colors/UikColors.dart';
import 'package:ui_sdk/getWidgets/uikListTile/uik_gw_list_tile_props.g.dart';
import 'package:ui_sdk/props/WidgetProps.dart';

@JsonSerializable()
class UikGWListTileProps extends WidgetProps {
  String? id;

  //  String? titleText;
  //  String? subTitleText;
  Color? color;
  Widget? avatar;
  Widget? title;
  Widget? subTitle;
  Widget? description;
  Widget? icon;
  EdgeInsets margin = const EdgeInsets.symmetric(vertical: 8, horizontal: 16);
  EdgeInsets padding = const EdgeInsets.all(8);
  bool enabled = true;
  GestureTapCallback? onTap;
  GestureLongPressCallback? onLongPress;
  bool selected = false;
  Color? focusColor;
  Color? listItemTextColor = UikColors.DARK;
  Color? hoverColor;
  FocusNode? focusNode;
  bool autofocus = false;

  UikGWListTileProps();

  factory UikGWListTileProps.fromJson(Map<String, dynamic> json) =>
      $UikGWListTilePropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
