import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/generated/json/uik_text_props.g.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';
import '../generated/json/uik_accordion_new_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikAccordionNewProps extends WidgetProps {
  late String id;
  late UikAction action;
  late Widget rightComponent = Container();
  late Widget headerComponent = Container();
  late Widget contentComponent = Container();
  late Color headerBackgroundColor = Colors.blue;
  late double opacity = 1.0;
  late Color contentBackgroundColor = Colors.blue;
  late Color contentBorderColor = Colors.blue;
  late EdgeInsets headerPadding = 	const EdgeInsets.symmetric(horizontal: 30, vertical: 10);
  late double headerBorderRadius = 30;
  late double paddingBetweenClosedSections = 0;
  late double paddingListBottom=0;
  late bool flipRightIconIfOpen;
  late bool disableScrolling;

  UikAccordionNewProps();

  factory UikAccordionNewProps.fromJson(Map<String, dynamic> json) =>
      $UikAccordionNewPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
