import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_AppBar_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikAppBarProps extends WidgetProps {
  late String id;
  late UikAction action;
  late Widget leadingIcon = SizedBox();
  late Widget centerText = SizedBox();
  late Widget? rightElement=SizedBox();
  late double sideMargin=0.0;
  late double bottomMargin=0.0;
  late double topMargin=0.0;
  late bool centerTitle=true;

  UikAppBarProps();

  factory UikAppBarProps.fromJson(Map<String, dynamic> json) =>
      $UikAppBarPropsFromJson(json);

  Map<String, dynamic> toJson() => $UikAppBarPropsToJson(this);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
