import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_tab_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikTabProps extends WidgetProps {
  late String id;
  late String? isBorder = null;
  late Color indicatorColor = Colors.yellow;
  late double borderRadius = 0.0;
  late double onlyTopBorderRadius = 0.0;
  late Color labelColor = Colors.black;
  late dynamic list = [];
  late double gapBetweenTabs = 50.0;
  late Color unselectedLabelColor = Color(0xFF9E9E9E);
  late UikAction action;

  UikTabProps();

  factory UikTabProps.fromJson(Map<String, dynamic> json) =>
      $UikTabPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
