import 'dart:convert';

import 'package:flutter/material.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';

import '../generated/json/uik_three_column_product_props.g.dart';
import '../models/Action.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikThreeColumnProductProps extends WidgetProps {
  late String id;
  late UikAction action;
  late Widget firstComponent = const SizedBox();
  late Widget secondComponent = const SizedBox();
  late Widget thirdComponent = const SizedBox();
  double marginLeft = 0.0;
  double marginRight = 0.0;
  double marginTop = 0.0;
  double marginBottom = 0.0;
  UikThreeColumnProductProps();

  factory UikThreeColumnProductProps.fromJson(Map<String, dynamic> json) =>
      $UikThreeColumnProductPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
