import 'dart:convert';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';

import '../generated/json/uik_textradiobutton_props.g.dart';
import '../generated/json/uik_threeComponentRow_props.g.dart';
import '../generated/json/uik_twocomponentrow_props.g.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikTwoComponentRowProps extends WidgetProps {
  late String id;
  late UikAction action;
  late double height = 0.0;
  late Widget? firstComponent = Container();
  late Widget? secondComponent = Container();
  MainAxisAlignment mainAxisAlignment = MainAxisAlignment.spaceBetween;
  bool enablePadding = false;
  double marginLeft;
  double marginRight;
  double marginTop;
  double marginBottom;
  double borderRadius;
  double? opacity = null;
  late Color bgcolor = Colors.transparent;

  UikTwoComponentRowProps({
    this.marginBottom = 0.0,
    this.marginLeft = 0.0,
    this.marginRight = 0.0,
    this.marginTop = 0.0,
    this.borderRadius = 8.0,
  });

  factory UikTwoComponentRowProps.fromJson(Map<String, dynamic> json) =>
      $UikTwoComponentRowPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
