import 'dart:convert';
import 'package:ui_sdk/components/UikButton.dart';
import 'package:ui_sdk/generated/json/base/json_field.dart';
import 'package:ui_sdk/props/UikAction.dart';
import 'package:flutter/material.dart';
import 'package:ui_sdk/props/UikButtonProps.dart';
import 'package:ui_sdk/props/UikContainerTextProps.dart';
import 'package:ui_sdk/props/UikIconProps.dart';
import '../components/WidgetType.dart';
import '../generated/json/uik_my_agent.g.dart';
import '../generated/json/uik_my_order_card.g.dart';
import '../generated/json/uik_twocomponentrow_props.g.dart';
import 'UikScrollProductsProps.dart';
import 'UikTextProps.dart';
import 'UikTwoComponentRowProps.dart';
import 'WidgetProps.dart';

@JsonSerializable()
class UikMyAgentProps extends WidgetProps {
  late String id;
  late UikScrollProductsProps scrollProductsProps;
  // late UikTwoComponentRowProps firstRowProps;
  late UikButtonProps buttonText;
  late UikButtonProps buttonText2;
  late UikTextProps containerText;
  double width;
  double height;
  late Color bgcolor = Colors.transparent;

  UikMyAgentProps(
      {this.width = 0,
      this.height = 0,
      UikButtonProps? buttonText,
      UikTextProps? containerText,
      UikScrollProductsProps? scrollProductsProps,
      UikButtonProps? buttonText2}) {
    this.buttonText = buttonText ?? UikButtonProps();
    this.buttonText2 = buttonText2 ?? UikButtonProps();
    this.containerText = containerText ?? UikTextProps();
    this.scrollProductsProps = scrollProductsProps ?? UikScrollProductsProps();
  }

  factory UikMyAgentProps.fromJson(Map<String, dynamic> json) =>
      $UikMyAgentPropsFromJson(json);

  @override
  String toString() {
    return jsonEncode(this);
  }
}
