import 'package:ui_sdk/props/UikAction.dart';
import 'package:ui_sdk/utils/pubsub/localpubsub.dart';
import 'package:url_launcher/url_launcher.dart';

enum UikActionType { UIK_OPEN_WEB }

executeUikWidgetAction(UikAction uikAction) async {
  if (uikAction.tap.type.startsWith("UIK")) {
    UikActionType tapAction = UikActionType.values.firstWhere(
        (e) => e.toString() == "UikActionType." + uikAction.tap.type);
    switch (tapAction) {
      case UikActionType.UIK_OPEN_WEB:
        launchURL(uikAction.tap.data.url);
        break;
      default:
        break;
    }
  } else {
    PubSub pubsub = PubSub();
    pubsub?.publish(uikAction.tap.type, uikAction);
  }
}

launchURL(url) async {
  if (await canLaunch(url)) {
    await launch(url);
  } else {
    throw 'Could not launch $url';
  }
}
